# TODO: switch to gtk4-update-icon-cache
Summary:	Map application for GNOME
Summary(pl.UTF-8):	Mapa dla GNOME
Name:		gnome-maps
Version:	46.11
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-maps/46/%{name}-%{version}.tar.xz
# Source0-md5:	a85532c578c0c2f1d009f4e32fe6d817
URL:		https://wiki.gnome.org/Apps/Maps
BuildRequires:	geoclue2-devel >= 0.12.99
BuildRequires:	geocode-glib2-devel >= 3.26
BuildRequires:	gettext-tools
BuildRequires:	gjs-devel >= 1.69.2
BuildRequires:	glib2-devel >= 1:2.66.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	gtk4-devel >= 4
BuildRequires:	json-glib-devel
BuildRequires:	libadwaita-devel >= 1.4
# soup3 based
BuildRequires:	libgweather4-devel >= 4.0
BuildRequires:	libportal-devel
BuildRequires:	librsvg-devel >= 2.0
# soup3 based
BuildRequires:	libshumate-devel >= 1.2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.61.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rest1-devel >= 0.9
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.66.0
Requires(post,postun):	gtk-update-icon-cache
# see src/main.js for GI dependencies
Requires:	cairo >= 1.0
Requires:	gdk-pixbuf2 >= 2.0
Requires:	geoclue2 >= 0.12.99
Requires:	geocode-glib2 >= 3.26
Requires:	gjs >= 1.69.2
Requires:	glib2 >= 1:2.66.0
Requires:	gnome-online-accounts >= 1.0
Requires:	gtk4 >= 4.0
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.4
Requires:	libgweather4 >= 4.0
Requires:	libshumate >= 1.2
Requires:	libsoup3 >= 3
Requires:	rest1 >= 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Maps is a simple map application for the GNOME desktop.

%description -l pl.UTF-8
GNOME Maps to prosta aplikacja dla środowiska GNOME służąca do obsługi
map.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/gnome-maps
%dir %{_libdir}/gnome-maps
%attr(755,root,root) %{_libdir}/gnome-maps/libgnome-maps.so*
%dir %{_libdir}/gnome-maps/girepository-1.0
%{_libdir}/gnome-maps/girepository-1.0/GnomeMaps-1.0.typelib
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/glib-2.0/schemas/org.gnome.Maps.gschema.xml
%dir %{_datadir}/gnome-maps
%dir %{_datadir}/gnome-maps/gir-1.0
%{_datadir}/gnome-maps/gir-1.0/GnomeMaps-1.0.gir
%attr(755,root,root) %{_datadir}/gnome-maps/org.gnome.Maps
%{_datadir}/gnome-maps/org.gnome.Maps.*.gresource
%{_datadir}/gnome-maps/icons
%{_datadir}/gnome-maps/maps-service.json
%{_datadir}/metainfo/org.gnome.Maps.appdata.xml
%{_desktopdir}/org.gnome.Maps.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Maps.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Maps-symbolic.svg
%changelog
* Sat May 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-maps.git;a=log;h=master

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 9d31522
- updated to 46.11

* Wed May 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 7c637e0
- updated to 46.10

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> e5a4069
- updated to 45.5

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 8b8a91c
- updated to 45.4

* Sun Jan 07 2024 Jakub Bogusz <qboosh@pld-linux.org> e0fe244
- updated o 45.3

* Tue Dec 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 2fc2fd6
- updated to 45.2

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> b4bd6dd
- updated to 45.1

* Thu Oct 26 2023 Jakub Bogusz <qboosh@pld-linux.org> ad3022d
- updated to 44.5

* Wed Aug 30 2023 Jakub Bogusz <qboosh@pld-linux.org> ce65b0f
- updated to 44.4

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> d829a7e
- updated to 44.3

* Sun May 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 1c4d553
- updated to 43.5 (ported to gtk4 and libsoup3)

* Thu Jul 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 41231b9
- updated to 42.3

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> f2ec36a
- updated to 42.2

* Sun Apr 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 781dc2b
- updated to 42.1

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 10fb372
- updated to 42.0

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> a4ba24e
- updated to 41.4

* Sun Dec 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 6d69299
- updated to 41.2

* Sun Oct 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 489f467
- updated to 41.1

* Sun Sep 26 2021 Jakub Bogusz <qboosh@pld-linux.org> ddb1638
- updated to 41.0

* Wed Aug 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 0dade11
- updated to 40.4

